### Property

# Gio Action:state-type

since: 2.28

#### Declaration

    property state-type: GLib.VariantType [ read ]

#### Description

The `GVariantType` of the state that the action has, or `NULL` if the action is stateless. This is immutable.

Type: | `GVariantType`
Available since: | 2.28

Getter method | `g_action_get_state_type()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no